GO500GW(8C)

NAME
go500gw - General Gopher to X.500 gateway for browsing and searching

SYNOPSIS
LIBEXECDIR/go500gw [-a] [-d level] [-f filterfile] [-t templatefile] [-c rdncount] [-h helpfile] [-l] [-p listenport] [-P ldapport] [-x ldaphost] [-I]

DESCRIPTION
go500gw is the general gopher to X.500 browsing and search gateway daemon. It speaks gopher on one side and X.500 (via LDAP) on the other. It presents the X.500 DIT as a tree of menus, search items, and documents in gopher space, supporting both browsing and searching of X.500 via a gopher client. By default, it listens on port 7777 for connections from gopher clients.

The go500gw server can be run either from inetd(8) or as stand-alone server.

STAND-ALONE OPERATION
To start go500gw as a stand-alone server, simply start it with no arguments

	LIBEXECDIR/go500gw

If you would like to start it at boot time add some lines like this to the /etc/rc.local(5) or equivalent file:

	if [ -f LIBEXECDIR/go500gw ]; then
		LIBEXECDIR/go500gw; echo ' go500gw'
	fi

OPERATION WITH INETD
To arrange to have go500gw started from inetd(8),theInternetprotocol daemon, add a line like the following to your /etc/services(5) file, or the equivalent:

    go500gw           7777/tcp        go500gw

Next, add a line like this to your /etc/inetd.conf(5) file, or the equivalent:

    go500gw  stream  tcp  nowait  nobody  LIBEXECDIR/go500gw    go500gw -I

For these changes to take effect with inetd, you will probably have to send it it a HUP signal. See inetd(8) for more details.

GOPHER CONFIGURATION
The next step is to configure your local gopher server to have an entry for go500gw. With the standard unix gopher server, this can be done with a .link file. A sample .link file is given below, with the things you should change given in <>'s:

	Name=<Label of your choice>
	Type=1
	Port=7777
	Path=1<optional RFC 2253-format DN at which to start browsing>
	Host=<host.running.go500gw.here>

You may also have to restart your gopher daemon, or remove the .cache file.

OPTIONS

-a  Search aliases when doing LDAP searches. The default is not to search aliases.

-d level
    Turn on debugging as defined by level. If this option is specified, go500gw will not fork or disassociate from the invoking terminal. Some general operation and status messages are printed for any value of level. level is taken as a bit string, with each bit corresponding to a different kind of debugging information.

-f filterfile
    Specify an alternate filter configuration file for use with the ldap_getfilter(3) facility, used by go500gw.

-h helpfile
    Specify an alternate help file. The help file is what is displayed in the "About the Gopher to X.500 Gateway" menu item.

-l  Enable logging of various status and errors to the LOG_LOCAL3 facility via syslog(8).

-p listenport
    Specify an alternate port on which to listen for connections.

-P ldapport
    Specify an alternate port on which to contact the LDAP server.

-t templatefile
    Specify an alternate template configuration file for use with the ldap_init_templates(3) facility, used by go500gw .

-c rdncount
    Specify the number of DN components to show for the names and DN attributes within entries matching the search.

-x hostname
    Specify an alternate host on which the ldap server is running.

-I  Run from inetd(8).

NOTES
Some implementations of inetd have a small limit on the number of arguments that can be specified in the /etc/inetd.conf(5) file. This can cause problems if you are using go500gw with a lot of arguments.

The default values for most of the things you can specify with options are configured at compile time in the include/ldapconfig.h.edit include file.

SEE ALSO
ldap(3), ldap_getfilter(3), inetd(8), gopherd(8), go500(8)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.